php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #9534 Inclusion of 'mcrypt' keeps Apache from starting
Submitted: 2001-03-03 00:54 UTC Modified: 2001-03-12 20:52 UTC
From: yubby at lanset dot com Assigned:
Status: Closed Package: Verisign Payflow Pro related
PHP Version: 4.0.4pl1 OS: Redhat 6.2
Private report: No CVE-ID: None
 [2001-03-03 00:54 UTC] yubby at lanset dot com
I've been 'rebuilding' my webservers, upgrading from Apache 1.3.12 (and 14)/PHP-4.0.3pl1/libmcrypt-2.4.5/mysql-3.22.32   to  Apache 1.3.17/PHP-4.0.4pl1/libmcrypt-2.4.9/mysql-3.23.33

My 'single CPU' Athlon system upgraded fine,  but the 2 'dual' Pentium servers (all of them are running Redhat 6.2  2.2.17-14) won't start Apache if I have the '--with-mcrypt' inclusion in my PHP config.   Without it, everything works fine.   I even tried 'back-reving' libmcrypt to the old version (2.4.5, 2.4.6, 2.4.7, and 2.4.8,  by wiping out all of the 'libmcrypt' stuff in /usr/local/lib, and rebuilding) which didn't work either...

gdb reports that httpd exited normally (and that there's no 'backtrace')

My configuration looks like:
./configure \
    --with-config-file-path=/usr/local/apache \
    --with-mysql=/usr/local/mysql \
    --with-pfpro=/usr/local/signio/linux \
    --with-apxs=/usr/local/apache/bin/apxs \
    --with-mcrypt   ## (this line is EVIL!!)
 
(please help me......waaaah)

P.S.  Though libmcrypt compiles fine either way,  I seem to remember that there might have been a reason to use the --disable-posix-threads option


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-03-03 17:30 UTC] sniper@php.net
libmcrypt 2.4.7 works just fine for me.
And yes, you have to configure libmcrypt with --disable-posix-threads

--Jani

 [2001-03-06 20:23 UTC] yubby at lanset dot com
Changing 'bug type' to "PayFlowPro" related (from 'mcrypt' related) since I have found that I can include "mcrypt" (and all the other libraries, such as mysql) if I exclude the PFP library from Signio.   Have seen that there's another Bug report on this issue (#9530) that looks very similar.

I'm now attempting the 'build' using Apache 1.3.19 and mod_ssl-2.8.1-1.3.19

 [2001-03-06 20:24 UTC] yubby at lanset dot com
Ooops,  forgot to change the 'type'....
 [2001-03-12 20:52 UTC] yubby at lanset dot com
Downloaded 'beta' release of PayFlowPro SDK (files dated 12/15/00).

Download site is at (you'll need username/password):
https://testmanager.signio.com/downloads/downloads_eligibility.htm

Was able to successfully build and run Apache with all 'extensions' included.

Final config is:
Apache 1.3.19
php-4.0.4pl1
mysql-3.23.33
libmcrypt-2.4.9
openssl-0.9.6
mod_perl-1.25
mod_ssl-2.8.1-1.3.19
assorted perl-mods
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Dec 02 16:03:40 2021 UTC